%define upstream_name Git-Repository-Plugin-Log
%define upstream_version 1.314

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Class representing git log data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Repository) >= 1.309.0
BuildRequires: perl(Git::Repository::Command)
BuildRequires: perl(Git::Repository::Plugin)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Coverage::TrustPod) >= 0.100.3
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CPAN::Meta) >= 0.250.0
BuildRequires: perl(Test::Git)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.510.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.100.0
BuildRequires: perl(Test::Requires::Git) >= 1.5.0
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Git::Repository::Plugin::Log adds a log() method to Git::Repository,
which will return Git::Repository::Log objects representing the commit
information provided by `git log`.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.314.0-5.mga9
+ Revision: 1803847
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.314.0-4.mga8
+ Revision: 1494738
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.314.0-3.mga7
+ Revision: 1268293
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.314.0-2.mga6
+ Revision: 1027940
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1.314.0-1.mga6
+ Revision: 1007870
- update to 1.314

* Mon Feb 08 2016 umeabot <umeabot> 1.312.0-5.mga6
+ Revision: 948868
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.312.0-4.mga5
+ Revision: 788526
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.312.0-3.mga5
+ Revision: 740381
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.312.0-2.mga5
+ Revision: 684871
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 sander85 <sander85> 1.312.0-1.mga5
+ Revision: 656294
- update to 1.312

* Fri May 02 2014 sander85 <sander85> 1.311.0-1.mga5
+ Revision: 619439
- update to 1.311

* Mon Feb 10 2014 sander85 <sander85> 1.310.0-1.mga5
+ Revision: 588949
- imported package perl-Git-Repository-Plugin-Log

